package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.AssetSupplyChain;

import java.io.Serializable;
import java.util.List;

/**
 * 资产供应链信息(asset_supply_chain)表服务接口
 * @author makejava
 * @since 2024-11-15 16:07:30
 */
public interface AssetSupplyChainService extends IService<AssetSupplyChain> {

    /**
     * 根据现有资产id查找最新一条的系统建设单位
     */
    AssetSupplyChain getJsdw(Long id);

    /**
     * 逻辑删除
     */
    void deleteByAssetIds(Long id);

    /**
     * 根据现有资产id查找最新一条的系统运营单位
     */
    AssetSupplyChain getYydw(Long id);



    /**
     * 删除
     * @param SupplyChainidList
     */
    void  deleteIdList(List<Long> SupplyChainidList);
}
